using System;

namespace Zadatak_2_21._11._2020
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[,] a = new int[n,2];
            bool[,] p = new bool[n, n];
            int[,] pi = new int[n, n];
            int x = 0;
            for (int i = 0; i < n; i++) a[i,1] = 0;
            for (int i = 0; i < n; i++) a[i,0] = int.Parse(Console.ReadLine());
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                if(int.Parse(s[0]) > int.Parse(s[1])) p[int.Parse(s[0]) - 1, int.Parse(s[1]) - 1] = true;
                else p[int.Parse(s[1]) - 1, int.Parse(s[0]) - 1] = true;
            }
            for (int i = 0; i < n; i++)
            {
                if (a[i, 0] > 0) a[i, 1] = 1;
                else a[i, 1] = -1;
            }
            for (int i = 0; i < n; i++)
            {
                for(int i1 = 0; i1 <= i; i1++)
                {
                    if (a[i, 0] * a[i, 1] > a[i1, 0] * a[i1, 1]) pi[i, i1] = a[i, 1];
                    else pi[i, i1] = a[i1, 1];
                }
            }
            for (int i = 0; i < n; i++)
            {
                for (int i1 = 0; i1 <= i; i1++)
                {
                    if(p[i,i1]) x += pi[i, i1] * (a[i, 0] + a[i1, 0]);
                }
            }
            Console.WriteLine(x);
        }
    }
}